---
- description: dropdown-reproducer-2D (CF 4.5)
  buttons: submit,cancel
  label: dropdown-reproducer-2D
  blueprint_id: 
  dialog_tabs:
  - description: 
    display: edit
    label: Dropdown Reproducer
    display_method: 
    display_method_options: 
    position: 0
    dialog_groups:
    - description: 
      display: edit
      label: Dropdown Reproducer 2D
      display_method: 
      display_method_options: 
      position: 0
      dialog_fields:
      - name: net_type1
        description: 
        data_type: string
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: true
        required_method: 
        required_method_options: {}
        default_value: none
        values:
        - - backend
          - NET BACKEND
        - - internet
          - NET INTERNET
        - - management
          - NET MANAGEMENT
        - - mpls
          - NET MPLS
        - - none
          - NO NETWORK
        values_method: 
        values_method_options: {}
        options:
          :force_multi_value: false
          :sort_by: :value
          :sort_order: :ascending
        label: 'Network Type #1'
        position: 0
        validator_type: 
        validator_rule: 
        reconfigurable: 
        dynamic: true
        show_refresh_button: true
        load_values_on_init: true
        read_only: false
        auto_refresh: true
        trigger_auto_refresh: true
        visible: true
        type: DialogFieldDropDownList
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: DynamicDialog
          ae_class: dropdown_reproducer
          ae_instance: dlg_net_type1
          ae_message: 
          ae_attributes: {}
      - name: net_type2
        description: 
        data_type: string
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: true
        required_method: 
        required_method_options: {}
        default_value: none
        values:
        - - backend
          - NET BACKEND
        - - internet
          - NET INTERNET
        - - management
          - NET MANAGEMENT
        - - mpls
          - NET MPLS
        - - none
          - NO NETWORK
        values_method: 
        values_method_options: {}
        options:
          :force_multi_value: false
          :sort_by: :value
          :sort_order: :ascending
        label: 'Network Type #2'
        position: 1
        validator_type: 
        validator_rule: 
        reconfigurable: 
        dynamic: true
        show_refresh_button: true
        load_values_on_init: true
        read_only: false
        auto_refresh: true
        trigger_auto_refresh: true
        visible: true
        type: DialogFieldDropDownList
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: DynamicDialog
          ae_class: dropdown_reproducer
          ae_instance: dlg_net_type2
          ae_message: 
          ae_attributes: {}
